part of 'local_data_container.dart';

/// allows dependency injection into LocalDataContainer.
class LocalDataContainerDi {
  Future<Directory> getApplicationDocumentsDirectory() {
    return getApplicationDocumentsDirectory();
  }

  Future<Directory> getApplicationSupportDirectory() {
    return getApplicationSupportDirectory();
  }

  Future<Directory> getTemporaryDirectory() {
    return getTemporaryDirectory();
  }

  Future<LocalDataContainer> buildSharedPrefDataContainer(String fileName) {
    return SharedPrefDataContainer.build(fileName);
  }

  Future<FileDataContainer> buildFileDataContainer(String fileName) async {
    return FileDataContainer(fileName);
  }
}
